Bug 1369391 - configuration file shouldn't be marked as executable and systemd complains for it
Summary: configuration file shouldn't be marked as executable and systemd complains fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Milind Changire
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-08-23 09:35 UTC by Rahul Hinduja
Modified: 2017-03-23 05:45 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:45:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Rahul Hinduja 2016-08-23 09:35:29 UTC
Description of problem:
=======================

While parsing /var/log/messages. Found the following:

[root@dhcp37-200 ~]# grep -i "Configuration file /usr/lib/systemd/system/glusterd.service" /var/log/messages 
Aug 22 15:28:59 localhost systemd: Configuration file /usr/lib/systemd/system/glusterd.service is marked executable. Please remove executable permission bits. Proceeding anyway.

Looking at the permissions, it has X permission for configuration file. 

[root@dhcp37-200 ~]# cat /usr/lib/systemd/system/glusterd.service 
[Unit]
Description=GlusterFS, a clustered file-system server
Requires=rpcbind.service
After=network.target rpcbind.service
Before=network-online.target

[Service]
Type=forking
PIDFile=/var/run/glusterd.pid
LimitNOFILE=65536
Environment="LOG_LEVEL=INFO"
EnvironmentFile=-/etc/sysconfig/glusterd
ExecStart=/usr/sbin/glusterd -p /var/run/glusterd.pid  --log-level $LOG_LEVEL $GLUSTERD_OPTIONS
KillMode=process

[Install]
WantedBy=multi-user.target
[root@dhcp37-200 ~]# 
[root@dhcp37-200 ~]# ls -l /usr/lib/systemd/system/glusterd.service
-rwxr-xr-x. 1 root root 445 Jun 10 10:32 /usr/lib/systemd/system/glusterd.service
[root@dhcp37-200 ~]# 

[root@dhcp37-200 ~]# rpm -qf /usr/lib/systemd/system/glusterd.service
glusterfs-server-3.7.9-10.el7rhgs.x86_64
[root@dhcp37-200 ~]# 

Mostly all the other configuration files under system do not have executable permission. 


Version-Release number of selected component (if applicable):
=============================================================

glusterfs-3.7.9-10.el7rhgs.x86_64

Comment 3 Atin Mukherjee 2016-08-25 08:15:02 UTC
http://review.gluster.org/15115 which has made into gluster 3.8.2 upstream release fixes the problem. rhgs-3.2.0 would get this fix as part of rebase.

Comment 4 Atin Mukherjee 2016-09-19 13:11:23 UTC
Upstream mainline : http://review.gluster.org/14892
Upstream 3.8 : http://review.gluster.org/15115

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 9 Byreddy 2016-11-24 04:45:54 UTC
Verified this bug using the build - glusterfs-3.8.4-5.

Below is the result:

//No message seen in messages log saying glusterd.service is marked as executable
[root@ ~]# grep -i "Configuration file /usr/lib/systemd/system/glusterd.service" /var/log/messages
[root@ ~]# 
[root@ ~]# 

//Permissions, No execute permission set.
~]# ls -l /usr/lib/systemd/system/glusterd.service
-rw-r--r--. 1 root root 445 Nov 11 06:45 /usr/lib/systemd/system/glusterd.service


Moving to verified state.

Comment 11 errata-xmlrpc 2017-03-23 05:45:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.